subset.madata {maanova} | R Documentation

## Subsetting Microarray data objects

### Description

Return subsets of an an object of class `madata` meeting given conditions.

### Usage

    ## S3 method for class 'madata':
    subset(x, arrays, genes, ...)

### Arguments

`x` | An object of class `madata`. Read `createData` for details.
`arrays` | A vector specifying which arrays to keep or discard.
`genes` | A vector specifying which genes to keep or discard.
`...` | Ignored at this point.

### Value

An object of class `madata` with specified arrays and genes.

### Author(s)

Hao Wu

### Examples

    data(kidney)
    ## Not run:
    smalldata <- subset(kidney.raw, arrays=c(1,2))
    # take out the all arrays except array 1
    idx.array <- 1:kidney.raw$n.array
    smalldata <- subset(kidney.raw,arrays=(idx.array[-1]))
    # take out gene number 1 to 20
    smalldata <- subset(kidney.raw,genes=1:20)
    ## End(Not run)

[Package maanova version 1.10.0 Index]